# Poco::Zip

# class Keep

Library: Zip
Package: Manipulation
Header: Poco/Zip/Keep.h

## Description

Keep simply forwards the compressed data stream from the input ZipArchive to the output zip archive

## Inheritance

Direct Base Classes: ZipOperation

All Base Classes: Poco::RefCountedObject, ZipOperation

## Member Summary

Member Functions: execute

Inherited Functions: duplicate, execute, referenceCount, release

## Constructors

### Keep

Keep(
const ZipLocalFileHeader & hdr
);

Creates the Keep object.

## Member Functions

### execute

void execute(
Compress & c,
std::istream & input
);

Adds a copy of the compressed input file to the ZipArchive

See also: Poco::Zip::ZipOperation::execute()